Subject: Re: bug#36001: 26.2; compile-mode.el/compilation-mode spontaneous behaviour

From: Evgeniy Dushistov <[email-masked]>
Date: Thu, 30 May 2019 16:58:28 +0300

On Thu, May 30, 2019 at 08:01:18AM -0400, Noam Postavsky wrote:
> Evgeniy Dushistov <[email-masked]> writes:
> 
> > These are spontaneous errors, I have ~10 good cases,
> > when all works fine vs 1 bad case, when rending or jump to source location works
> > only for subset of errors/warnings.
> 
> Could you evaluate the code below, and then post the contents of the
> *trace-output* buffer after a bad case happens.
> 
>     (defun bug-36001-clear-trace (&rest _)
>       (with-current-buffer trace-buffer
>         (let ((inhibit-read-only t))
>           (erase-buffer))))
>     (advice-add 'compile :before #'bug-36001-clear-trace)
>     (trace-function-background 'compilation-filter)

I attached two files,
one is *trace-output* another is *compilation*,
the first error is not marked as error:

> error...
>   --> macroslib/src/lib.rs:428:27

I uses rust-mode, it adds some regexps to
compilation-error-regexp-alist-alist:

https://github.com/rust-lang/rust-mode/blob/master/rust-mode.el

-- 
/Evgeniy